from fastapi import APIRouter, Depends

from bsition.api.endpoints import documents, tables, token, users
from bsition.api.utils.security import get_current_user

router = APIRouter()

router.include_router(token.router)
router.include_router(
    documents.router, prefix="/documents", dependencies=[Depends(get_current_user)]
)
router.include_router(users.router, prefix="/users")
router.include_router(
    tables.router, prefix="/tables", dependencies=[Depends(get_current_user)]
)
